#!/usr/bin/perl -w
#
# Copyright (C) 2001,2002 asdfGroup.com Inc. All rights reserved.
#
# This library is a commercial product and it is subject to the license
# agreement that can be found at the following URL:
#   http://www.asdfGroup.com/license.html
# Please contact our staff if you will have any questions:
#   mailto:staff@asdfGroup.com
#
        
package POWER::lib;
use strict;

our $VERSION = "2.04";
our $AUTOLOAD;

sub import {
    CPU_start() if grep {m/^CPU_/} @_;
    POWER::lib::time() if grep {$_ eq "time"} @_;
    my $pkg = caller()."::";
    no strict 'refs';
    *{$pkg.$_} = \&$_ for qw(EncUri UnEncUri Enc UnEnc Diff vars Dumper4Eval
        RandCh abs_url Check_Email Email MD5 MD5hex MD5base64 EncBase64
        UpdateHash Min Max CalcNavigation Cat Echo MEM_used FD_used Chomp), @_;
}

sub time ();

my %subs = (
    map({$_=>"email.pl"}    qw(Check_Email Email)),
    map({$_=>"encoding.pl"} qw(EncUri UnEncUri Enc UnEnc)),
    map({$_=>"macro.pl"}    qw(Chomp Cat Echo Min Max Dumper4Eval)),
    map({$_=>"md5.pl"}      qw(MD5 MD5hex MD5base64 EncBase64)),
    map({$_=>"misc.pl"}     qw(RandCh abs_url UpdateHash Diff CalcNavigation)),
    map({$_=>"resource.pl"} qw(MEM_used FD_used CPU_start CPU_max CPU_used)),
    map({$_=>"time.pl"}     qw(time sleep)),
    );
(my $this = __PACKAGE__)        =~ s!::!/!g;
(my $path = $INC{$this.".pm"})  =~ s{pm$}{subs/};
%subs = map { __PACKAGE__."::$_" => $path.$subs{$_} } keys %subs;
sub AUTOLOAD {
    do $subs{$AUTOLOAD} or die $@;
    goto &$AUTOLOAD;
}

1;

